%%%---------------------------------------
%%% module      : data_drop_limit
%%% description : 掉落上限配置
%%%
%%%---------------------------------------
-module(data_drop_limit).
-compile(export_all).
-include("drop.hrl").



get_goods_limit(0,105300) ->
    #base_drop_limit{drop_thing_type = 0,goods_id = 105300,limit_type = 0,limit_day = 1,limit_num = 35};

get_goods_limit(0,105301) ->
    #base_drop_limit{drop_thing_type = 0,goods_id = 105301,limit_type = 0,limit_day = 1,limit_num = 35};

get_goods_limit(0,105302) ->
    #base_drop_limit{drop_thing_type = 0,goods_id = 105302,limit_type = 0,limit_day = 1,limit_num = 15};

get_goods_limit(0,105303) ->
    #base_drop_limit{drop_thing_type = 0,goods_id = 105303,limit_type = 0,limit_day = 1,limit_num = 15};

get_goods_limit(0,105304) ->
    #base_drop_limit{drop_thing_type = 0,goods_id = 105304,limit_type = 0,limit_day = 1,limit_num = 1};

get_goods_limit(_Dropthingtype,_Goodsid) ->
    [].

get_boss_drop_control_add(3,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 6 ->
		10000;
get_boss_drop_control_add(3,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 5 ->
		1500;
get_boss_drop_control_add(3,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 4 ->
		1500;
get_boss_drop_control_add(2,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 3 ->
		10000;
get_boss_drop_control_add(3,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 3 ->
		1500;
get_boss_drop_control_add(4,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 3 ->
		10000;
get_boss_drop_control_add(1,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 2 ->
		10000;
get_boss_drop_control_add(2,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 2 ->
		5000;
get_boss_drop_control_add(3,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 2 ->
		1200;
get_boss_drop_control_add(4,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 2 ->
		5000;
get_boss_drop_control_add(1,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 1 ->
		5000;
get_boss_drop_control_add(2,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 1 ->
		2000;
get_boss_drop_control_add(3,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 1 ->
		1000;
get_boss_drop_control_add(4,Day,Count) when Day >= 1  andalso  Day =< 999  andalso  Count >= 1 ->
		2000;
get_boss_drop_control_add(_Origin,_Day,_Count) ->
    0.

get_max_day() -> 999.

get_hme_boss_weight(Count) when Count >= 1, Count =< 1 ->
		10000;
get_hme_boss_weight(Count) when Count >= 2, Count =< 2 ->
		4000;
get_hme_boss_weight(Count) when Count >= 3, Count =< 3 ->
		10000;
get_hme_boss_weight(Count) when Count >= 4, Count =< 5 ->
		6000;
get_hme_boss_weight(_Count) ->
    0.

